Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[KDE overlay] kdelibs-4.8.2 unpack error (WORKAROUND)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed Apr 04, 2012 11:27 am    Post subject: [KDE overlay] kdelibs-4.8.2 unpack error (WORKAROUND) Reply with quote

I have following error on trying to merge KDE 4.8.2 from overlay:

Code:
>>> Starting src_unpack
>>> Unpacking kdelibs-4.8.2.tar.xz to /var/tmp/paludis/kde-base-kdelibs-4.8.2/work
xz -dc /usr/portage/distfiles/kdelibs-4.8.2.tar.xz | tar xf - --no-same-owner

Error:
  * In program cave perform install --hooks --managed-output --output-exclusivity with-others =kde-base/kdelibs-4.8.2:4::gentoo --destination installed --replacing =kde-base/kdelibs-4.8.1-r3:4::installed --x-of-y 1 of 5:
  * When installing 'kde-base/kdelibs-4.8.2:4::gentoo' replacing { 'kde-base/kdelibs-4.8.1-r3:4::installed' }:
  * When running an ebuild command on 'kde-base/kdelibs-4.8.2:4::gentoo':
  * Install failed for 'kde-base/kdelibs-4.8.2:4::gentoo' (paludis::ActionFailedError)

unpack: error: Couldn't unpack /usr/portage/distfiles/kdelibs-4.8.2.tar.xz: 141 0
unpack: making ebuild PID 26219 exit with error
die trap: exiting with error.


any hint?

[EDIT]
As a workaround, I've repacked kdelibs and remanifested the ebuild. Than it ran.
For now that's the only package with the problem.

So far "broken":
kdelibs
kdepimlibs
pykde4
okular
gwenview
kgeography
kig
ktouch
kalgebra
kalzium
kstars
marble
parley
rocs
kgpg
superkaramba
kdepim-runtime
kde-wallpapers
kdeplasma-addons


Last edited by Lustmored on Thu Apr 05, 2012 10:54 am; edited 8 times in total
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1945
Location: Zurich, Switzerland

PostPosted: Wed Apr 04, 2012 11:38 am    Post subject: Reply with quote

only that it works fine with portage.

what happens, if you run the unpack command by hand?

V.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed Apr 04, 2012 12:46 pm    Post subject: Reply with quote

Upon copy&paste that command:

Code:
xz -dc /usr/portage/distfiles/kdelibs-4.8.2.tar.xz | tar xf - --no-same-owner


it unpacks fully correctly.

Unfortunately I have completely unconfigured portage to try it out :(
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1945
Location: Zurich, Switzerland

PostPosted: Wed Apr 04, 2012 12:53 pm    Post subject: Reply with quote

hmm - where did you unpack it to? do you have enough space in /var/tmp/paludis?
have you searched for the error codes?

V.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed Apr 04, 2012 1:05 pm    Post subject: Reply with quote

I surely have - it's empty tmpfs with 6G limit.

All other packages I merge meanwhile works (like qt-gui few minutes ago).

I've tried my best to understand what "Couldn't unpack /usr/portage/distfiles/kdelibs-4.8.2.tar.xz: 141 0 " means (especially "141 0" part), but man nor google helped. That's why I'm looking for smarter minds ;)

After this failure I have source unpacked correctly (as far as I can tell) in /var/tmp/paludis/kde-base-kdelibs-4.8.2/work/kdelibs-4.8.2, which seems correct.

This is the point where I have even no idea what goes wrong :| everything seems unpacked, but paludis seems unhappy about that. For only this one package.

kdelibs-4.8.1-r3 in gentoo repository unpacks correctly ...

[EDIT]
http://stackoverflow.com/questions/769564/error-code-141-with-tar
suggests it's error in xz decompression returned by tar.
But it got extracted :|
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Thu Apr 05, 2012 8:25 am    Post subject: Reply with quote

I have exactly same problem with kdelibs-4.8.2 in the tree :cry:
Back to top
View user's profile Send private message
partnerslayer
n00b
n00b


Joined: 26 Sep 2006
Posts: 15

PostPosted: Thu Apr 05, 2012 5:15 pm    Post subject: Reply with quote

I was able to fix the bug by having tar do the unpack directly. Edit unpack_tar.xz() (/usr/libexec/paludis/utils/unpack) as so:

Code:

unpack_tar.xz() {
#    echo xz -dc "${1}" \| tar xf - --no-same-owner "${TAR_OPTIONS[@]}"
#    xz -dc "${1}" | tar xf - --no-same-owner "${TAR_OPTIONS[@]}"
    echo tar xfJ "${1}" --no-same-owner "${TAR_OPTIONS[@]}"
    tar xfJ "${1}"l --no-same-owner "${TAR_OPTIONS[@]}"
    assert "Couldn't unpack ${1}"
}


This *seems* to be working for me, but I'm still doing the install. I'm also far from an expert in tar so I don't know what side-effects (if any) this will cause, but paludis seems much happier.
Back to top
View user's profile Send private message
partnerslayer
n00b
n00b


Joined: 26 Sep 2006
Posts: 15

PostPosted: Thu Apr 05, 2012 5:32 pm    Post subject: Reply with quote

Tangentially related, but Paludis appears to do the same decompression method for lzma (decompress and pipe the output to tar). Everything else seems to have tar do all the magic directly but I'm far to lazy to search any further and figure out why there are two different methods (I imagine both are logically equivalent). Hopefully somebody much smarter than I am can point in the correct direction.
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Thu Apr 05, 2012 6:28 pm    Post subject: Reply with quote

I'm having the same issue with paludis:
Code:
Output from installing kde-base/kdelibs-4.8.2:4::gentoo to ::installed replacing 4.8.1-r3:4::installed:

unpack: error: Couldn't unpack /usr/portage/distfiles/kdelibs-4.8.2.tar.xz: 141 0
unpack: making ebuild PID 2881 exit with error
die trap: exiting with error.
Back to top
View user's profile Send private message
partnerslayer
n00b
n00b


Joined: 26 Sep 2006
Posts: 15

PostPosted: Thu Apr 05, 2012 7:09 pm    Post subject: Reply with quote

mikkoc, try editing /usr/libexec/paludis/utils/unpack as I described above. I was able to complete my update to KDE 4.8.2 without issue with those changes (as was a coworker who ran into the same issue).

As for the actual issue, I've drawing a total blank. I ran the original commands the way Paludis will (although without the pipe) and both happily returned 0 so I have no clue where the 141 error code is coming from. I don't think this is a Paludis bug since it's just reporting the failure from the decompression/extraction, but maybe they'll accept a patch that contains my workaround if somebody asks nicely (possibly with a similar change for lzma compression).
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Thu Apr 05, 2012 9:42 pm    Post subject: Reply with quote

Thanks for the replies.

I've filled ticket upstream:

http://paludis.exherbo.org/trac/ticket/1232
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5719

PostPosted: Sun Apr 15, 2012 12:18 am    Post subject: Reply with quote

Gentoo bug for this is here. Anyone filed one on bugs.kde.org yet to tell them their tarball is corrupt?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Apr 15, 2012 8:03 pm    Post subject: Reply with quote

paludis has pushed workaround for 0.74 :)
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5719

PostPosted: Fri Apr 20, 2012 10:56 am    Post subject: Reply with quote

Is there an overlay with up to date Paludis ebuilds? Gentoo seems to have dropped the ball... again.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Apr 20, 2012 1:16 pm    Post subject: Reply with quote

Ant P. wrote:
Is there an overlay with up to date Paludis ebuilds? Gentoo seems to have dropped the ball... again.


/etc/paludis/repositories/paludis.conf:
Code:
format = e
location = /var/db/paludis/repositories/paludis
sync = git://github.com/ciaranm/paludis-overlay.git https://github.com/ciaranm/paludis-overlay.git
names_cache = ${location}/.cache/names
write_cache = /var/cache/paludis/metadata

master_repository = gentoo


Gentoo tree is always a few weeks behind this overlay, which seems appropriate to avoid bugs.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum